Summary: Compability libraries for old a.out applications
Name: aout-libs
Version: 1.4
Release: 7
ExclusiveArch: i386
ExclusiveOS: Linux
Copyright: distributable
Group: Libraries
Source0: aout.sources.tar.gz
Source1: libc-4.7.2.tar.gz
Autoreqprov: no

%description
Old Linux systems used a format for programs and shared libraries called
a.out while newer ones use the ELF format. In order to run old a.out
format programs, you need the a.out format libraries which this package
provide. With it, you are to run most a.out format packages for text,
X, and SVGAlib modes.

%prep
%setup -n aout

%build

%install
mkdir -p /usr/i486-linuxaout/lib
for n in *; do
    install -m 755 $n /usr/i486-linuxaout/lib
done
if ! grep '^/usr/i486-linuxaout/lib$' /etc/ld.so.conf > /dev/null; then
    echo "/usr/i486-linuxaout/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig
rm -rf /usr/X11 /usr/X386
ln -sf X11R6 /usr/X11
ln -sf X11R6 /usr/X386

%post
if ! grep '^/usr/i486-linuxaout/lib$' /etc/ld.so.conf > /dev/null; then
    echo "/usr/i486-linuxaout/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
if [ "$1" = '0' ]; then
    grep -v '^"/usr/i486-linuxaout/lib$' < /etc/ld.so.conf > /tmp/new.ld.so.conf
    cp /tmp/new.ld.so.conf /etc/ld.so.conf
fi
/sbin/ldconfig

%files
/usr/i486-linuxaout/lib
/usr/X11
/usr/X386
